/* --------------------------- Mega Menu  ----------------------------------*/

.main-header {}


.mega-menu {
  /*background-color: #F3F4F6;*/
  background-color: #00000091;
  padding: 18px 0;
  height: calc(100vh - 116px);


  position: absolute;
  left: 0px;
  width: 100%;
  z-index: 99;
  transition: all 0.3s;
}


.mega-menu .mega-menu-items-row {
  margin-left: 0;
  margin-right: 0;
}

.mega-menu .mega-menu-items-row .mega-menu-items-col {
  padding-left: 0;
  padding-right: 0;
}

.mega-menu .mega-menu-items-row .mega-menu-items-col:first-child {
  border-right: 1px solid var(--background_dark);

}

.mega-menu .mega-menu-items-wrapper {
  max-width: 80%;
  margin: 0 auto;
  overflow: hidden;
  border-radius: 14px;
  border: 1px solid var(--background_dark);
  background-color: var(--white);
  /* max-height: 500px;
  height: 100%; */
}


.mega-menu .mega-menu-items-wrapper .mega-menu-item-header {
  padding: 10px 20px;
  border-bottom: 1px solid var(--background_dark);
  min-height: 60px;
  height: 100%;
  display: flex;
  align-items: center;
}

.mega-menu .mega-menu-items-wrapper .mega-menu-item-header .mega-menu-header-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
  width: 100%;
}

.mega-menu .mega-menu-items-wrapper .mega-menu-item-header .mega-menu-header-inner h6 {
  font-weight: 700;
  font-size: 16px;
  line-height: 120%;
  letter-spacing: 0px;
  margin: 0;
  color: var(--text_black);
}

.mega-menu .mega-menu-items-wrapper .mega-menu-item-body {
  padding: 20px;
}

.mega-menu .mega-menu-items-wrapper .mega-menu-item-body {}

.mega-menu .mega-menu-items-wrapper .mega-menu-services-wrapper {}



.mega-menu .mega-menu-items-wrapper .mega-menu-services-wrapper .mega-menu-item-body {
  padding: 0;
}

.mega-menu .mega-menu-items-wrapper .mega-menu-contact-wrapper {
  background-color: #E6EBEB;
}

.mega-menu .mega-menu-contact-wrapper .mega-menu-item-body {
  min-height: 450px;
  height: 100%;
}


.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 24px;
  min-height: 410px;
  height: 100%;
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details {
  margin: 0;
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item {
  margin-bottom: 24px;
  display: flex;
  align-items: center;
  gap: 8px;
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item:last-child {
  margin-bottom: 0;
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item .icon {
  width: 44px;
  height: 44px;
  flex: 0 0 44px;
  border-radius: 44px;
  background-color: #CCD7D8;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item .icon i {
  font-size: 22px;
  line-height: normal;
  color: var(--text_black);
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item .contact-info {}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item .contact-info p {
  font-weight: 500;
  font-size: 12px;
  line-height: 160%;
  letter-spacing: 0.2px;
  margin-bottom: 1px;
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item .contact-info a {
  display: inline-block;
  font-weight: 700;
  font-size: 18px;
  line-height: 140%;
  letter-spacing: 0px;
  margin-bottom: 0;
  color: var(--text_black);
  transition: all 0.3s;
  white-space: normal;
  word-wrap: break-word;
  word-break: break-word;
}

.mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item .contact-info a:hover {
  color: var(--primary);
}


/* mega-menu-tab-outer */
.mega-menu .mega-menu-tab-outer {}

.mega-menu .nav-tabs-outer.mega-menu-tab-outer .nav-tabs-row {
  margin-left: 0;
  margin-right: 0;
}

.mega-menu .nav-tabs-outer.mega-menu-tab-outer .nav-tabs-row .nav-tabs-col {
  padding-left: 0;
  padding-right: 0;
  position: relative;
}

.mega-menu .nav-tabs-outer.mega-menu-tab-outer .nav-tabs-row .nav-tabs-col:first-child::after {
  content: '';
  position: absolute;
  right: 0;
  top: 0;
  width: 1px;
  height: 100vh;
  background-color: var(--background_dark);
}

.mega-menu .mega-menu-tab-outer .nav-tabs,
.mega-menu .mega-menu-tab-outer .tab-content {
  padding: 20px;
}

.mega-menu .mega-menu-tab-outer .tab-content {
  gap: 8px;
}

.mega-menu .mega-menu-tab-outer .nav-link {
  padding: 5px 12px;
  font-size: 16px;
  letter-spacing: 0;
  border-radius: 7px;
  border-color: transparent;
  gap: 12px;
}

.mega-menu .mega-menu-tab-outer .nav-link.active,
.mega-menu .mega-menu-tab-outer .nav-link:hover {
  border-color: var(--primary);
}


.mega-menu .mega-menu-tab-outer .tab-content {
  max-height: 450px;
  height: 100%;
  overflow-y: auto;
}

.mega-menu .mega-menu-tab-outer .tab-content .tab-pane {
  padding: 0;
}


/* mega-menu-items-nav */
.mega-menu-items-nav {}

.mega-menu-items-nav .menu-nav-row {}

.mega-menu-items-nav .menu-nav-row .menu-nav-col {
  margin: 0 0 10px 0;
}

.mega-menu-items-nav .menu-item {}

.mega-menu-items-nav .menu-item .menu-link {}

.mega-menu-items-nav .menu-item .menu-card {
  background-color: var(--white);
  border-radius: 6px;
  border: 1px solid var(--background_light);
  overflow: hidden;
  transition: all 0.3s;
  min-height: 195px;
  height: 100%;
}

.mega-menu-items-nav .menu-item .menu-card:hover,
.mega-menu-items-nav .menu-item .menu-link.active .menu-card {
  border-color: var(--primary);
}

.mega-menu-items-nav .menu-item .menu-link .menu-card:hover .card-body .card-details h6,
.mega-menu-items-nav .menu-item .menu-link.active .menu-card .card-body .card-details h6 {
  color: var(--primary);
}



.mega-menu-items-nav .menu-item .menu-card .card-body {
  padding: 12px;
}

.mega-menu-items-nav .menu-item .menu-card .card-body .card-image {
  border-radius: 6px;
  overflow: hidden;
  height: 85px;
  margin-bottom: 7px;
}

.mega-menu-items-nav .menu-item .menu-card .card-body .card-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.mega-menu-items-nav .menu-item .menu-card .card-body .card-details {}

.mega-menu-items-nav .menu-item .menu-card .card-body .card-details h6 {
  font-weight: 700;
  font-size: 15px;
  line-height: 27.2px;
  letter-spacing: 0;
  margin: 0;
  color: var(--text_black);
  transition: all 0.3s;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  white-space: normal;
  overflow: hidden;
}

.mega-menu-items-nav .menu-item .menu-card .card-body .card-details p {
  font-weight: 400;
  font-size: 12px;
  line-height: 23.8px;
  letter-spacing: 0;
  margin: 2px 0 0 0;
  color: var(--text_black);
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  white-space: normal;
  overflow: hidden;
}




/*------------------------------------- Mega Menu Responsive --------------------------------- */
@media only screen and (max-width: 1440px) {
  .mega-menu .mega-menu-items-wrapper {
    max-width: 92%;
  }
}

@media only screen and (max-width: 1366px) {
  .mega-menu {
    padding: 20px;
  }

  .mega-menu .mega-menu-items-wrapper {
    max-width: 100%;
  }

  .mega-menu .mega-menu-tab-outer .nav-link {
    font-size: 14px;
    gap: 8px;
  }

  .mega-menu-items-nav .menu-item .menu-card .card-body {
    padding: 10px;
  }

  .mega-menu-items-nav .menu-item .menu-card .card-body .card-details h6 {
    font-size: 14px;
  }

  .mega-menu .mega-menu-contact-wrapper .contact-details-wrapper .contact-details .contact-item .contact-info a {
    font-size: 16px;
  }
}

@media only screen and (min-width: 1100px) {}


@media only screen and (max-width: 1200px) {}

@media only screen and (max-width: 1099px) {
  .mega-menu {
    display: none;
  }
}

@media only screen and (max-width: 1024px) {}

@media only screen and (max-width: 992px) {}

@media only screen and (max-width: 767px) {}

@media only screen and (max-width: 767px) {}

@media only screen and (max-width: 600px) {}